class BalloonTemplatesController < ApplicationController
  before_filter :authenticate_user!, :only => [:index, :show]
  before_filter :authenticate_admin!, :only => [:list, :browse]
  
  # GET /balloon_templates
  # GET /balloon_templates.json
  def index
    @balloon_templates = BalloonTemplate.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @balloon_templates }
    end
  end

  def list
    @balloon_templates = BalloonTemplate.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @balloon_templates }
    end
  end
end
